Camera plugin crosshairs?

This is where you talk about Plugins. How they are made and how they work, show examples.

Re: Camera plugin crosshairs?

Postby Mallemann » Tue Apr 03, 2018 2:45 pm

I am using 1.2047.
If I load the example VB Plugin Code (from plugins/example) in VS 2010, it has .NET2.0 as the target framework by default. is this correct or should I change to 4.0?
Mallemann
 
Posts: 7
Joined: Sat Mar 24, 2018 8:50 pm

Re: Camera plugin crosshairs?

Postby cncdrive » Tue Apr 03, 2018 3:07 pm

You have to target .NET 2.0 if using UCCNC version 1.2047, because that version still targets the .NET framework 2.0, so building the plugin with .NET 4.0 will not work.
When you running UCCNC version 1.2102 or later those versions targeting the .NET 4.0, because there was an upgrade in 1.2102 to target the newer .NET 4.0, so for those new UCCNC versions you can still run the .NET 2.0 built plugins, but you can't use those new UCCNC installations to develop .NET 2.0 targeted plugins, you can only compile the plugins with targeting them to .NET 4.0, because the plugin interface dll is now .NET 4.0 targeted.

I suspect you getting that error because of a badly referenced library which your plugin can't load.
Please note that the Application.Startuppath is different when you compiling the plugin if the plugin is in the UCCNC/Plugins folder than if you running the UCCNC to test the plugin, then the Application.StartupPath is the folder where the UCCNC.exe file is. So, however I did not see your sourcecode, but this might be the problem depending on how you import executable dlls...
cncdrive
Site Admin
 
Posts: 1849
Joined: Tue Aug 12, 2014 11:17 pm

Re: Camera plugin crosshairs?

Postby Mallemann » Tue Apr 03, 2018 7:26 pm

I did buy UCCNC license some weeks ago and I thought 1.2047 was the latest released version.
Is there a new one? On your homepage, there is 1.2047 for download...
Mallemann
 
Posts: 7
Joined: Sat Mar 24, 2018 8:50 pm

Re: Camera plugin crosshairs?

Postby Robertspark » Tue Apr 03, 2018 8:07 pm

1.2047 is the current official stable release.

There is the development versions which are test versions and accepted may have bugs, however they offer the current available functions and developments too.

They are available here
viewtopic.php?f=2&t=240

1.2104 being the current release
Rob

Einstein ― “If you can't explain it to a six year old, you don't understand it yourself”
UC400eth, UC300eth, UCCNC v1.2104, Neuron Lite.
UCCNC v1.2104 Macro Manual
Robertspark
 
Posts: 681
Joined: Sat Sep 03, 2016 4:27 pm
Location: Nr Liverpool, England

Previous

Return to Plugins

Who is online

Users browsing this forum: No registered users and 1 guest